
QGIS Application - Bug report #3930

configure bugfix 64bit

2006-03-27 10:53 PM - neteler-itc-it -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13954

Description

Please fix the broken 64bit detection with this patch

(I have no idea how to attach it as file):

Best  

Markus

Index: acinclude.m4===================================================================

--- acinclude.m4        (revision 5104)

++ acinclude.m4        (working copy)

@ -6,7 +6,8 @

 dnl ------------------------------------------------------------------------

 AC_DEFUN([AQ_CHECK_LIB64],

 [

-if test echo ${libdir} | sed -e 's#.*lib64.*#64#' = "64"; then

+if test "echo ${libdir} | sed -e 's#.*lib64.*#64#'" = "64" -o \\

        "uname -i | sed -e 's#.*x86.*#64#'" = "64" ; then

   _lib="lib64" 

 else

   _lib="lib"

History

#1 - 2006-03-27 10:55 PM - anonymous -

I am NOT using Debian as indicated above (but that doesn't matter for the fix).

#2 - 2006-03-29 08:16 AM - Tim Sutton

- Resolution set to fixed

- Status changed from Open to Closed

I have committed this change as commit:25a4e5b2 (SVN r5111) on trunk in svn. Please reopen this bug if you still experience problems. Many thanks for

your contribution!

Tim

#3 - 2009-08-22 12:46 AM - Anonymous
Milestone Version 0.8 deleted

Files

acinclude_m4_64bit.patch 508 Bytes 2006-03-27 neteler-itc-it -
